Mailinglist Archive: opensuse-commit (710 mails)

< Previous Next >
commit mcstrans for openSUSE:Factory
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Mon, 03 May 2010 23:25:39 +0200
  • Message-id: <20100503212539.7ADB22029C@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package mcstrans for openSUSE:Factory
checked in at Mon May 3 23:25:39 CEST 2010.



--------
--- mcstrans/mcstrans.changes 2009-07-16 13:39:42.000000000 +0200
+++ mcstrans/mcstrans.changes 2010-05-03 12:36:41.000000000 +0200
@@ -1,0 +2,5 @@
+Mon May 3 12:32:09 CEST 2010 - prusnak@xxxxxxx
+
+- create /var/run/setrans directory in initscript [Feature#303793]
+
+-------------------------------------------------------------------

calling whatdependson for head-i586


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ mcstrans.spec ++++++
--- /var/tmp/diff_new_pack.uPXhym/_old 2010-05-03 23:24:47.000000000 +0200
+++ /var/tmp/diff_new_pack.uPXhym/_new 2010-05-03 23:24:47.000000000 +0200
@@ -1,7 +1,7 @@
#
# spec file for package mcstrans (Version 0.3.1)
#
-# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -20,9 +20,9 @@

Name: mcstrans
Version: 0.3.1
-Release: 2
+Release: 3
Url: http://fedora.redhat.com/
-License: GPL v2 or later
+License: GPLv2+
Group: System Environment/Daemons
Summary: SELinux Translation Daemon
Source: %{name}-%{version}.tar.bz2

++++++ mcstrans-0.3.1-initscript.patch ++++++
--- /var/tmp/diff_new_pack.uPXhym/_old 2010-05-03 23:24:47.000000000 +0200
+++ /var/tmp/diff_new_pack.uPXhym/_new 2010-05-03 23:24:47.000000000 +0200
@@ -1,4 +1,6 @@
---- src/mcstrans.init
+Index: src/mcstrans.init
+===================================================================
+--- src/mcstrans.init.orig
+++ src/mcstrans.init
@@ -1,12 +1,7 @@
-#!/bin/bash
@@ -15,7 +17,7 @@
#
# Return values according to LSB for all commands but status:
# 0 - success
-@@ -17,63 +12,71 @@
+@@ -17,63 +12,74 @@
# 5 - program is not installed
# 6 - program is not configured
# 7 - program is not running
@@ -35,6 +37,7 @@

PATH=/sbin:/bin:/usr/bin:/usr/sbin
+LOCK_FILE=/var/lock/subsys/mcstrans
++SETRANS_DIR=/var/run/setrans
prog="mcstransd"

# Source function library.
@@ -56,9 +59,6 @@

# Check that we are root ... so non-root users stop here
-test $EUID = 0 || exit 4
--
--# If selinux is not enabled, return success
--test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
+if [ $EUID -ne 0 ] ; then
+ echo $"Access denied. Only root can run this daemon"
+ rc_failed 4
@@ -66,7 +66,8 @@
+ rc_exit
+fi

--RETVAL=0
+-# If selinux is not enabled, return success
+-test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0
+# Check whether SELinux is enabled
+if [ ! -x /usr/sbin/selinuxenabled ] && /usr/sbin/selinuxenabled ; then
+ echo $"SELinux should be enabled to run this daemon"
@@ -75,6 +76,9 @@
+ rc_exit
+fi

+-RETVAL=0
++mkdir -p $SETRANS_DIR
+
start(){
test -x /sbin/mcstransd || exit 5
echo -n $"Starting $prog: "
@@ -120,7 +124,7 @@
}

restart(){
-@@ -82,31 +85,30 @@
+@@ -82,31 +88,30 @@ restart(){
}

condrestart(){


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages